dpkg(1)

NOMBRE
dpkg - Gestor de paquetes de Debian

SINOPSIS
dpkg [opcion...] acción

AVISO
El propósito de este manual es que los usuarios entiendan las opciones de ejecución de dpkg y el estado de los paquetes con más detalle que la que ofrece dpkg --help. Los responsables de paquetes no deberían utilizar dpkg --help para comprender el proceso de instalación de dpkg. Las descripciones de lo que hace dpkg al instalar y desinstalar son particularmente imprecisas.

DESCRIPCIÓN
dpkg es una herramienta para instalar, compilar, eliminar y manipular los paquetes de Debian. La interfaz principal y más intuitiva para dpkg es aptitude(1). dpkg se ejecuta con parámetros de línea de órdenes, que consisten de una sola acción y cero o más opciones. La acción o parámetro dice a dpkg qué hacer, mientras que las opciones controlan de una manera u otra su comportamiento. dpkg también se puede utilizar como una interfaz para dpkg-deb(1) y dpkg-query(1). Puede consultar la lista de acciones permitidas en la sección ACCIONES. Si se detecta cualquier acción, dpkg ejecuta dpkg-deb o dpkg-query con los parámetros dados, pero no se les introduce ninguna opción específica. Para utilizar cualquier opción se deben ejecutar directamente.

INFORMACIÓN SOBRE PAQUETES
dpkg posibilita el acceso a bastante información sobre los paquetes disponibles. Esta información se divide en tres clases: estados, estados de selección e indicadores. Habitualmente, estos valores se modifican principalmente con dselect.

  Package states

not-installed
    El paquete no está instalado en el sistema.

config-files
    Sólo quedan los ficheros de configuración del paquete en el sistema.

half-installed
    Se inició la instalación del paquete, pero no se completó por alguna razón.

unpacked
    El paquete está descomprimido, pero no configurado.

half-configured
    El paquete está descomprimido y la configuración se ha iniciado, pero no finalizó por alguna razón.

triggers-awaited
    El paquete aguarda al proceso de los disparadores de otro paquete.

triggers-pending
    Los disparadores del paquete se han activado.

installed
    El paquete está correctamente desempaquetado y configurado.

  Package selection states

install
    El paquete se ha seleccionado para su instalación.

hold
    dpkg no modificará un paquete marcado con hold (retenido), a no ser que se le fuerce a ello con la opción --force-hold.

deinstall
    El paquete se ha seleccionado para su desinstalación (es decir, que queremos borrar todo excepto los ficheros de configuración).

purge
    El paquete se ha seleccionado para que se purgue (es decir, que queremos borrar todo en los directorios del sistema, incluyendo los ficheros de configuración).

  Package flags

reinst-required
    Un paquete marcado con reinst-required está roto y precisa una reinstalación. Estos paquetes no se pueden borrar a no ser que fuerce la acción con la opción --force-remove-reinstreq.

ACCIONES

-i, --install fichero-paquete...
    Instala el paquete. Si se especifica la opción --recursive o -R, el fichero-paquete debe ser un directorio. La instalación consiste de los siguientes pasos:
    1. Extracción de los ficheros de control del paquete nuevo.
    2. De existir otra versión del mismo paquete en el sistema, se ejecuta el script prerm (pre-eliminación) del antiguo paquete.
    3. Ejecución del script preinst (pre-instalación) del paquete, de existir.
    4. Desempaquetado de los nuevos ficheros, a la vez que se crea una copia de seguridad de los antiguos para su restauración en caso de fallo.
    5. De existir otra versión del mismo paquete previamente instalado en el sistema, se ejecutará el script postrm (post-eliminación) del paquete antiguo. Tenga en cuenta que este script se ejecuta después del script preinst del paquete nuevo ya que los nuevos ficheros se escriben a la vez que se borran los antiguos.
    6. Configuración del paquete. Para una información detallada sobre este proceso, consulte --configure.

--unpack fichero-paquete ...
    Desempaqueta el paquete, pero no lo configura. Si se introducen las opciones --recursive o -R el fichero-paquete debe ser un directorio.

--configure paquete...|-a|--pending
    Configura un paquete que está desempaquetado pero no configurado. Si se introducen las opciones -a o --pending en lugar de un paquete, se configurarán todos los paquetes desempaquetados pero no configurados. Para reconfigurar un paquete que ya fue configurado, pruebe la orden dpkg-reconfigure(8). La configuración consiste de los siguientes pasos:
    1. Desempaquetado de los ficheros de configuración «conffiles», a la vez se crea una copia de seguridad de los antiguos para su restauración en caso de fallo.
    2. Ejecución del script postinst (post-instalación) del paquete, si existe.

--triggers-only paquete...|-a|--pending
    Procesa sólo los disparadores. Todos los disparadores pendientes (estado «pending») se procesan. Su se introducen nombres de paquete, solo se procesan los disparadores de esos paquetes, y cada uno cuando es necesario. El uso de esta opción puede dejar paquetes con los estados no deseados de triggers-awaited y triggers-pending. Puede arreglar esto posteriormente ejecutando dpkg --configure --pending.

-r, --remove, -P, --purge paquete...|-a|--pending
    Elimina un paquete instalado. Las opciones -r y --remove eliminan todo excepto los ficheros de configuración «conffiles». Esto puede evitar tener que configurar de nuevo el paquete si se reinstala después (los «conffiles» son ficheros de configuración listados en el fichero de control DEBIAN/conffiles). -P o --purge eliminan todo incluyendo los ficheros de configuración «conffile». De utilizar las opciones -a y --pending en lugar de un nombre de paquete, todos los que están al menos desempaquetados pero marcados para su eliminación o purgación en /var/lib/dpkg/status se eliminarán o purgarán respectivamente. Nota: puede que dpkg desconozca algunos ficheros si su creación y manipulación ocurrió aisladamente a través de los scripts de configuración. De ser así, dpkg no los eliminará directamente sino que el script postrm del paquete (ejecutado por dpkg) ejecutará la eliminación de estos ficheros durante la purgación del paquete. Por supuesto, esto sólo tiene efecto en los directorios de sistema, no sobre los ficheros de configuración escritos en los directorios «home/» de usuario. La eliminación de un paquete consiste de los siguientes pasos:
    1. Ejecución del script prerm.
    2. Eliminación de los ficheros instalados.
    3. Ejecución del script postrm.

-V, --verify [package-name...]
    Verifies the integrity of package-name or all packages if omitted, by comparing information from the installed paths with the database metadata. The output format is selectable with the --verify-format option, which by default uses the rpm format, but that might change in the future, and as such programs parsing this command output should be explicit about the format they expect.

--update-avail, --merge-avail fichero-Packages
    Actualiza la lista de paquetes disponibles de dpkg y dselect. La acción --merge-avail combina la información antigua con la información del fichero-Packages. El fichero-Packages distribuido con Debian se llama simplemente Packages. El programa dpkg guarda un registro de los paquetes disponibles en /var/lib/dpkg/available. dselect update ofrece una manera sencilla y directa de obtener y actualizar el fichero available (disponible). Tenga en cuenta que el fichero es casi inservible si usa una interfaz basada en APT en lugar de dselect: APT tiene su propio sistema de registrar los paquetes disponibles.

-A, --record-avail fichero-paquete...
    Actualiza la lista de paquetes disponibles de dpkg y dselect con la información del fichero-paquete. Si se define la opción --recursive o -R, el fichero-paquete debe ser un directorio.

--forget-old-unavail
    Obsoleta, y una opción inservible ya que dpkg olvidará automáticamente los paquetes desinstalados no disponibles.

--clear-avail
    Elimina la información sobre qué paquetes están disponibles.

-C, --audit
    Busca paquetes que se hayan instalado parcialmente en el sistema. El programa dpkg sugerirá qué hacer con ellos para hacerlos funcionar.

--get-selections [patrón-nombre-paquete...]
    Get list of package selections, and write it to stdout. Without a pattern, non-installed packages (i.e. those which have been previously purged) will not be shown.

--set-selections
    Define las selecciones de paquetes utilizando un fichero introducido por la entrada estándar. Este fichero debe tener el formato «paquete estado», en el que el estado es install, hold, deinstall o purge. Se permiten las líneas vacías y líneas de comentarios que empiecen por «#». The available file needs to be up-to-date for this command to be useful, otherwise unknown packages will be ignored with a warning. See the --update-avail and --merge-avail commands for more information.

--clear-selections
    Set the requested state of every non-essential package to deinstall. This is intended to be used immediately before --set-selections, to deinstall any packages not in list given to --set-selections.

--yet-to-unpack
    Busca los paquetes seleccionados para su instalación, pero que por alguna razón todavía no se han instalado.

--add-architecture arquitectura
    Añade la arquitectura a la lista de arquitecturas donde los paquetes se pueden instalar sin utilizar --force-architecture. La arquitectura para la que se ha compilado dpkg (esto es, la salida de --print-architecture) siempre forma parte de la lista.

--remove-architecture arquitectura
    Elimina la arquitectura de la lista de arquitecturas donde los paquetes se pueden instalar sin utilizar --force-architecture. Esta operación se rechaza si tal arquitectura se encuentra en uso en la base de datos, a menos que se especifique --force-architecture. No se puede eliminar la arquitectura para la que se ha compilado dpkg (esto es, la salida de --print-architecture) de esta lista.

--print-architecture
    Muestra la arquitectura de los paquetes que dpkg instala (por ejemplo, «i386»).

--print-foreign-architectures
    Muestra una lista separada por líneas de las arquitecturas adicionales para las que se ha configurado dpkg para permitir la instalación de paquetes.

--compare-versions ver1 op ver2
    Compara los números de versión, siendo op un operador binario. dpkg devuelve éxito (cero) si la condición especificada se cumple, y fallo (un resultado distinto de cero) en caso contrario. Hay dos grupos de operadores que difieren en su comportamiento cuando les falta alguno de los operandos, ver1 o ver2. Los primeros tratan la falta de versión como la versión más antigua posible: lt le eq ne ge gt. Los otros tratan la falta de versión como la más moderna posible: lt-nl le-nl ge-nl gt-nl. Éstos se proporcionan sólo por compatibilidad con la sintaxis del fichero de control: < << <= = >= >> >.

-?, --help
    Muestra un resumen de las instrucciones de uso.

--force-help
    Muestra la ayuda de las opciones --force-algo.

-Dh, --debug=help
    Muestra la ayuda de las opciones de depuración.

--version
    Muestra la versión de dpkg.

dpkg-deb actions
    Consulte dpkg-deb(1) para más información sobre las siguientes acciones.
    -b | --build directorio [fichero]
        Construye un paquete Debian GNU/Linux.
    -c | --contents fichero
        Muestra el contenido de un paquete Debian GNU/Linux.
    -e | --control fichero [directorio]
        Extrae la información de control de un paquete.
    -x | --extract fichero directorio
        Extrae los ficheros contenidos en el paquete.
    -X, --vextract archive directory
        Extrae y muestra los nombres de fichero que un
        paquete contiene.
    -f | --field  fichero [campo-control] ...
        Muestra el/los campo(s) de control de un paquete.
    --fsys-tarfile fichero
        Muestra el fichero tar contenido en el paquete deb.
    dpkg -I | --info fichero [fichero-control]
        Muestra información sobre el paquete.

dpkg-query-actions
    Para más información sobre las siguientes acciones consulte dpkg-query(1).
    -l | --list patrón-nombre-paquete ...
        Lista los paquetes cuyo nombre encaja en el patrón dado.
    -s | --status nombre-paquete ...
        Informa del estado del paquete especificado.
    -L | --listfiles paquete ...
        Lista los ficheros instalados en el sistema que pertenecen a
        paquete.
    -S | --search patrón-búsqueda-ficheros ...
        Busca un fichero en los paquetes instalados.
    -p | --print-avail paquete ...
        Imprime información sobre el paquete, extraída de
        /var/lib/dpkg/available. Los usuarios de interfaces de APT
        deberían utilizar apt-cache show paquete.

OPCIONES
All options can be specified both on the command line and in the dpkg configuration file /etc/dpkg/dpkg.cfg or fragment files (with names matching this shell pattern '[0-9a-zA-Z_-]*') on the configuration directory /etc/dpkg/dpkg.cfg.d/. Each line in the configuration file is either an option (exactly the same as the command line option but without leading hyphens) or a comment (if it starts with a #).

--abort-after=número
    Modifica cuántos errores llevan a dpkg a interrumpir el proceso. El valor por omisión es 50.

-B, --auto-deconfigure
    Al eliminar un paquete puede que otro dependa de él. Definir esta opción producirá la desconfiguración automática del paquete que dependía del paquete eliminado.

-Doctal, --debug=octal
    Activa el modo de depuración. El parámetro octal se forma uniendo los valores de la siguiente lista mediante la operación or a nivel de bits (tenga en cuenta que estos valores podrían cambiar en futuras versiones). -Dh o --debug=help muestran estos valores.
      Número Descripción
         1 Información de progreso generalmente útil
         2 Ejecución y estado de los scripts del paquete
        10 Salida por cada fichero procesado
       100 Mucha salida por cada fichero procesado
        20 Salida por cada «conffile»
       200 Mucha salida por cada «conffile»
        40 Dependencias y conflictos
       400 Mucha salida sobre dependencias y conflictos
     10000 Activación de los disparadores y procesado
     20000 Una gran información de los disparadores
     40000 Niveles ridículos de información de los disparadores
      1000 Parrafadas sobre el directorio dpkg/info
      2000 Montañas de parrafadas (perjudica la salud)

--force-cosas, --no-force-cosas, --refuse-cosas
    Fuerza o rechaza (no-force y refuse significan lo mismo) hacer ciertas cosas. El parámetro cosas es una lista de cosas definidas a continuación y separadas por comas. La opción --force-help muestra un mensaje que las describe. Las cosas marcadas con (*) se fuerzan por omisión. Aviso: Estas opciones están pensadas básicamente para un uso experto. Usarlas sin conocer totalmente sus efectos podría dejar su sistema sin funcionamiento. all: Activa (o desactiva) todas las opciones de forzar. downgrade(*): Instala un paquete, incluso si ya existe una versión más nueva instalada. Warning: At present dpkg does not do any dependency checking on downgrades and therefore will not warn you if the downgrade breaks the dependency of some other package. This can have serious side effects, downgrading essential system components can even make your whole system unusable. Use with care. configure-any: Configura también los paquetes desempaquetados pero no configurados sobre los que depende el paquete. hold: Procesa los paquetes incluso si están marcados con «hold» (retener). remove-reinstreq: Elimina un paquete incluso si está roto y marcado para una necesaria reinstalación. Esto podría causar, por ejemplo, que algunas partes del paquete quedasen en el sistema, de las que dpkg se olvidaría. remove-essential: Elimina, incluso si el paquete se considera esencial. Los paquetes esenciales contienen principalmente órdenes de Unix muy básicas. Borrarlos podría hacer que el sistema dejase de funcionar en absoluto así que use esta opción con cuidado. depends: Convierte todos los problemas de dependencias en avisos. depends-version: No tiene en cuenta las versiones al comprobar las dependencias. breaks: Instala, aunque suponga romper otro paquete. conflicts: Instala, incluso si entra en conflicto con otro paquete. Esta opción es peligrosa dado que generalmente sobreescribirá algunos ficheros. confmiss: Si no se encuentra un fichero de configuración «conffile» y ha cambiado la versión en el paquete, instala el «conffile» perdido sin solicitar confirmación. Es peligroso porque no guarda los cambios (la eliminación) hechos al fichero. confnew: Si se ha modificado un fichero de configuración «conffile» y ha cambiado la versión en el paquete, instala siempre la nueva versión sin solicitar confirmación, a menos que se defina también la opción --force-confdef, en cuyo caso se toma la acción predefinida. confold: Si se ha modificado un fichero de configuración «conffile» y ha cambiado la versión en el paquete, mantiene siempre la versión existente sin solicitar confirmación, a menos que también se defina la opción --force-confdef, en cuyo caso se toma la acción predefinida. confdef: Si se ha modificado un fichero de configuración «conffile» y ha cambiado la versión en el paquete, selecciona siempre la acción predeterminada sin solicitar confirmación. Si no existe tal acción, se detendrá y consultará al usuario, a no ser que se usen también las opciones --force-confnew o --force-confold, en cuyo caso se usará una de estas opciones para tomar la decisión final. confdef: Si se ha modificado un fichero de configuración «conffile», ofrece siempre reemplazar este con la versión en el paquete incluso si la versión del paquete no ha cambiado. Si se introduce cualquiera de las opciones --force-confnew o --force-confold o --force-confdef, se usará esta para tomar la decisión final. overwrite: Sobreescribe un fichero de un paquete con un fichero de otro. overwrite-dir: Sobreescribe un directorio de un paquete con un fichero de otro. overwrite-diverted: Sobreescribe una versión desviada de un fichero con una no desviada. unsafe-io: No realiza las operaciones I/O seguras al desempaquetar. Actualmente, implica que no se realiza la sincronización del sistema de ficheros antes de renombrar un fichero, lo cual causa una apreciable degradación del rendimiento en algunos sistemas de fichero. Desafortunadamente, los que requieren I/O segura para empezar en primer lugar debido a su comportamiento irregular causan ficheros de tamaño cero en fallos severos del sistema. Note: Para ext4, el sistema con más problemas de este sentido, considere utilizar la opción de montaje nodelalloc, lo que arregla la degradación del rendimiento y los problemas de seguridad de datos. Lo último lo soluciona haciendo que el sistema de ficheros no produzca ficheros de tamaño cero durante fallos severos del sistema con cualquier software que no realiza una sincronización antes de los renombres atómicos. Advertencia: Usar esta opción puede aumentar el rendimiento a costa de la pérdida de datos. Úselo con cuidado. architecture: Procesa los paquetes, incluso si no son de la arquitectura adecuada o correcta. bad-version: Procesa los paquetes incluso si la versión es errónea. bad-path: PATH no contiene algunos programas importantes, así que es bastante posible que haya problemas. not-root: Intenta la (des)instalación incluso si no es el usuario «root». bad-verify: Instala un paquete aunque falle la comprobación de autenticidad.

--ignore-depends=paquete,...
    Ignora la comprobación de dependencias para los paquetes definidos (en realidad, se hacen las comprobaciones pero se imprimen avisos en vez de interrumpir el proceso).

--no-act, --dry-run, --simulate
    Hace todo lo que se supone que debe hacer, pero no realiza ningún cambio. Se utiliza para ver qué ocurriría con las opciones seleccionadas sin realizar cambios reales. Asegúrese de introducir la opción --no-act antes del parámetro de acción, o podría acabar con resultados no deseados. (Por ejemplo: dpkg --purge foo --no-act purgará primero el paquete foo y luego intentará purgar el paquete --no-act, ¡aunque probablemente usted esperaba que no hiciera nada!).

-R, --recursive
    Actúa recursivamente sobre todos los ficheros que coincidan con el patrón *.deb que se encuentren en el directorio definido, y también todos sus subdirectorios. Se puede utilizar con las opciones -i, -A, --install, --unpack y --avail.

-G  No instala un paquete del que ya existe una versión más nueva en el sistema. Es un alias de --refuse-downgrade.

--admindir=directorio
    Cambia el directorio de administración predefinido. Éste contiene muchos ficheros que ofrecen información relativa al estado de paquetes instalados o no instalados, etc. (Por omisión, /var/lib/dpkg.)

--instdir=directorio
    Cambia el directorio de instalación predefinido, la ubicación en la que se instalarán los paquetes. instdir es también el directorio introducido a chroot(2) antes de ejecutar los scripts de instalación del paquete, lo que significa que éstos verán instdir como directorio raíz. (Por omisión, /.)

--root=directorio
    Cambiar root da el valor de directorio a instdir, y el valor dir/var/lib/dpkg a admindir.

-O, --selected-only
    Procesa sólo los paquetes seleccionados para su instalación. La marca en sí la hacen dselect o dpkg al manipular paquetes. Por ejemplo, si se borra uno, éste se marcará para su desinstalación.

-E, --skip-same-version
    Evita la instalación de un paquete si tiene la misma versión que la ya instalada.

--pre-invoke=orden
--post-invoke=orden
    Set an invoke hook command to be run via “sh -c” before or after the dpkg run for the unpack, configure, install, triggers-only, remove and purge dpkg actions. This option can be specified multiple times. The order the options are specified is preserved, with the ones from the configuration files taking precedence. The environment variable DPKG_HOOK_ACTION is set for the hooks to the current dpkg action. Note: front-ends might call dpkg several times per invocation, which might run the hooks more times than expected.

--path-exclude=comodín
--path-include=comodín
    Define comodín («glob pattern») como un filtro de ruta, bien excluyendo o incluyendo otra vez rutas anteriormente excluidas que encajan con los patrones definidos durante la instalación. Aviso: tenga en cuenta que dependendiendo de las rutas que excluya, puede dejar su sistema inutilizable, úselo con precuación. Los patrones de comodín («glob») usan los mismos comodines que el intérprete de órdenes, donde «*» encaja con cualquier cadena de caracteres, incluyendo una cadena vacía y «/». Por ejemplo, '/usr/*/READ*' encaja con '/usr/share/doc/package/README'. Como es habitual, «?» encaja cualquier carácter único (una vez más, incluyendo «/»). Y «[» inicia una clase («class») de carácter, que puede contener una lista de caracteres, rangos y complementaciones. Consulte glob(7) para más información acerca del uso de comodines. Nota: puede que la implementación actual incluya otra vez más directorios y enlaces simbólicos que los necesarios. Puede que un desarrollo en el futuro arregle esto para estar más seguros y evitar un posible error de desempaquetado. Puede utilizar esto para eliminar todas las rutas a excepción de algunas en particular; un típico uso es:
    --path-exclude=/usr/share/doc/*
    --path-include=/usr/share/doc/*/copyright
    para eliminar todos los ficheros de documentación a excepción de los ficheros de derechos de autor. Estas dos opciones se pueden definir varias veces, y se pueden interpolar. Ambos se procesan en el orden dado, y la última regla que encaja con un nombre de fichero realiza la decisión.

--verify-format format-name
    Sets the output format for the --verify command. The only currently supported output format is rpm, which consists of a line for every path that failed any check. The lines start with 9 characters to report the specific check results, a '?' implies the check could not be done (lack of support, file permissions, etc), '.' implies the check passed, and an alphanumeric character implies a specific check failed; the only functional check is an md5sum verification denoted with a '5' on the third character. The line is followed by a space and an attribute character (currently 'c' for conffiles), another space and the pathname.

--status-fd n
    Envía la información del estado del paquete e información de progreso en formato máquina al descriptor de fichero n. Puede introducir esta opción varias veces. La información aparece habitualmente con un registro por línea, en una de las siguientes formas:

    status: paquete: estado
        El estado del paquete ha cambiado; el estado es el que aparece en el fichero de estado.

    status: paquete : error : mensaje-de-fallo-detallado
        Se ha detectado un fallo. Cualquier nueva línea en mensaje-de-fallo-detallado se convertirá a espacios antes de aparecer por la salida.

    status: fichero : conffile-prompt : 'real-old' 'real-new' edición-usuario edición-distribución
        El usuario tiene que responder a una pregunta de un fichero de configuración «conffile».

    processing: etapa: paquete
        Se envía justo después del inicio del estado de procesamiento. El estado puede ser upgrade, install (ambos se envían antes de desempaquetar), configure, trigproc, disappear, remove o purge.

--status-logger=orden
    Envía la información del estado del paquete e información de progreso en formato máquina a la entrada estándar de la orden de consola. Puede introducir esta opción varias veces. El formato de la salida es el mismo que --status-fd.

--log=fichero
    Registra los cambios de estado y acciones en el fichero, en lugar del predefinido, /var/log/dpkg.log. Se usará el último fichero introducido en caso de definir varios. Los mensajes del registro tienen el formato «YYYY-MM-DD HH:MM:SS status estado paquete versión-instalada» para actualizaciones de cambios de estado; «YYYY-MM-DD HH:MM:SS acción paquete versión-instalada versión-disponible» para aquellas acciones en las que la acción es install, upgrade, remove o purge y «YYYY-MM-DD HH:MM:SS conffile fichero decisión» para aquellos cambios en «conffiles» en los que la decisión es install o keep.

--no-debsig
    No intenta verificar las firmas de los paquetes.

--no-triggers
    No ejecuta ningún disparador durante esta ejecución (se registran las activaciones). Si se usa con --configure paquete o --triggers-only paquete, el script «postinst» del paquete nombrado tendrá permisos de ejecución aunque sólo se necesite ejecutar un disparador. El uso de esta opción puede dejar paquetes con el estado no deseado de triggers-awaited y triggers-pending. Puede arreglar esto más tarde ejecutando dpkg --configure --pending.

--triggers
    Cancela un --no-triggers previo.

ENTORNO

HOME
    Si se define, dpkg lo usará como el directorio del cual leer el fichero de configuración específico del usuario.

TMPDIR
    Si se define, dpkg lo usará como el directorio en el que crear ficheros y directorios temporales.

PAGER
    El programa que dpkg ejecutará al mostrar los ficheros de configuración «conffiles».

SHELL
    El programa que dpkg ejecutará al iniciar un nuevo intérprete de órdenes.

COLUMNS
    Define el número de columnas que dpkg puede utilizar para mostrar la información. Por ahora sólo la usa la opción «-l».

DPKG_SHELL_REASON
    Definido por dpkg en el intérprete de órdenes iniciado en el diálogo del fichero de configuración «conffile» para examinar la situación. El valor válido actualmente es conffile-prompt.

DPKG_CONFFILE_OLD
    Definido por dpkg en el intérprete de órdenes iniciado en el diálogo del fichero de configuración «conffile» para examinar la situación. Contiene la ruta al fichero de configuración antiguo.

DPKG_CONFFILE_NEW
    Definido por dpkg en el intérprete de órdenes iniciado en el diálogo del fichero de configuración «conffile» para examinar la situación. Contiene la ruta al fichero de configuración «conffile» nuevo.

DPKG_RUNNING_VERSION
    Definido por dpkg en el script del entorno del mantenedor con el valor de la versión en ejecución de dpkg.

DPKG_MAINTSCRIPT_PACKAGE
    Defined by dpkg on the maintainer script environment to the (non-arch-qualified) package name being handled.

DPKG_MAINTSCRIPT_PACKAGE_REFCOUNT
    Defined by dpkg on the maintainer script environment to the package reference count, i.e. the number of package instances with a state greater than not-installed. Since dpkg 1.17.2.

DPKG_MAINTSCRIPT_ARCH
    Definido por dpkg en el script de entorno del mantenedor con el valor de la arquitectura de paquete para la cual se compiló.

DPKG_MAINTSCRIPT_NAME
    Definido por dpkg en el script del entorno del mantenedor con el valor del nombre del script en ejecución («preinst», «postinst», «prerm», «postrm»).

FICHEROS

/etc/dpkg/dpkg.cfg.d/[0-9a-zA-Z_-]*
    Fragmentos de ficheros de configuración.

/etc/dpkg/dpkg.cfg
    El fichero de configuración con las opciones predefinidas.

/var/log/dpkg.log
    El fichero de registro predefinido (consulte /etc/dpkg/dpkg.cfg(5) y la opción --log).

Los otros ficheros listados a continuación están en sus directorios predefinidos. Consulte la opción --admindir para ver cómo modificar la ubicación de estos ficheros.

/var/lib/dpkg/available
    Lista de paquetes disponibles.

/var/lib/dpkg/status
    Los estados de los paquetes disponibles. Este fichero contiene información sobre si un paquete está marcado o no para su eliminación, si está o no está instalado, etc. Para más información, consulte el apartado INFORMACIÓN SOBRE PAQUETES. Una copia de seguridad diaria del fichero de estado se crea en /var/backups. Puede ser útil si se ha perdido o ha quedado dañado por problemas con el sistema de ficheros.

Los siguientes ficheros son componentes de un paquete binario. Consulte deb(5) para más información sobre éstos:
    control
    conffiles
    preinst
    postinst
    prerm
    postrm
    triggers

FALLOS
Habitualmente, la opción --no-act da menos información de la que necesita.

EJEMPLOS
To list installed packages related to the editor vi(1) (note that dpkg-query does not load the available file anymore by default, and the dpkg-query --load-avail option should be used instead for that):
     dpkg -l '*vi*'
Para ver las entradas en /var/lib/dpkg/available de dos paquetes:
     dpkg --print-avail elvis vim | less
Para buscar personalmente en la lista de paquetes:
     less /var/lib/dpkg/available
Para borrar un paquete instalado llamado elvis:
     dpkg -r elvis
To install a package, you first need to find it in an archive or CDROM. The available file shows that the vim package is in section "editors":
     cd /media/cdrom/pool/main/v/vim
     dpkg -i vim_4.5-3.deb
Para hacer una copia local de las selecciones de estados de paquetes:
      dpkg --get-selections >mis-selecciones
You might transfer this file to another computer, and after having updated the available file there with your package manager frontend of choice (see https://wiki.debian.org/Teams/Dpkg/FAQ for more details), for example:
     avail=`mktemp`
     apt-cache dumpavail >"$avail"
     dpkg --merge-avail "$avail"
     rm "$avail"
you can install it with:
     dpkg --clear-selections
     dpkg --set-selections <mis-selecciones
Tenga en cuenta que esto no instalará ni borrará nada, simplemente modificará el estado de selección de los paquetes seleccionados. Necesitará otra aplicación para obtener los paquetes e instalarlos. Por ejemplo, ejecute apt-get dselect-upgrade. Por lo general, encontrará que dselect(8) es una forma más cómoda de modificar los estados de selección de los paquetes.

FUNCIONALIDAD ADICIONAL
Puede ganar funcionalidades adicionales instalando alguno de los siguientes paquetes: apt, aptitude y debsums.

VÉASE TAMBIÉN
aptitude(1), apt(1), dselect(1), dpkg-deb(1), dpkg-query(1), deb(5), deb-control(5), dpkg.cfg(5), y dpkg-reconfigure(8).

AUTORES
Consulte /usr/share/doc/dpkg/THANKS para una lista de las personas que han contribuido a dpkg.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.